import { AxiosInstance } from 'axios';
import { OnRefreshValue, CAxiosInstance } from '../types';
import { DefineConfig } from './const';
export declare function defineRefreshToken(config: DefineConfig): {
    refreshing: boolean;
    onRefreshReqMap: Map<string, OnRefreshValue>;
    onRefreshReqCount: Map<string, number>;
    refreshTokenSetup: (instance?: CAxiosInstance | AxiosInstance, plugins?: ((data: CAxiosInstance) => void)[]) => CAxiosInstance | AxiosInstance;
};
