import { AxiosInstance } from 'axios';
import { CInternalAxiosRequestConfig, CAxiosInstance } from '../types';
import { DefineConfig } from './const';
/**
 * 定义节流请求
 * @returns
 */
export declare function defineAbortSignalThrottle(config?: DefineConfig): {
    throttleAbortSignal: (config: CInternalAxiosRequestConfig) => {
        config: CInternalAxiosRequestConfig;
        abort: () => () => void;
    };
    destroyAbortSignal: (config: CInternalAxiosRequestConfig) => void;
    abortSignalSetup: (instance: CAxiosInstance | AxiosInstance, plugins?: ((data: CAxiosInstance) => void)[]) => CAxiosInstance | AxiosInstance;
};
